<?PHP
   // Funktionen zur Datengenerierung
   // Benutzt von: lmo_akt_tabelle.php
   //              lmo_blitztabelle.php
   //              lmo_statistik.php

   function GetData($LigaFile, &$arrHead, &$arrTeam, &$arrStatistik,
                    &$arrVerlauf, &$arrTabPlatz, &$gespielt)
   {
      // Datei komplett einlesen
    	$arrFile       = file($LigaFile);
      $sizeOfArrFile = sizeof($arrFile);

      // Header-Array vorbelegen
      for ($i = 0; $i <= conHEAD_LAENGE; $i++)
      {
         $arrHead[$i] = 0;
      }
      $arrHead[conHEAD_FILE] = $LigaFile;
        // "Header" einlesen
    	for ($i = 0; $i < $sizeOfArrFile; $i++)
      {
         $arrFile[$i] = chop($arrFile[$i]);
    		if (GetKey($arrFile[$i]) == "NAME")
         {
            $arrHead[conHEAD_NAME] = GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "TYPE")
         {
            $arrHead[conHEAD_TYPE] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "TEAMS")
    		{
            $arrHead[conHEAD_TEAMS] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "ROUNDS")
    		{
            $arrHead[conHEAD_ROUNDS] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "MATCHES")
    		{
            $arrHead[conHEAD_MATCHES] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "ACTUAL")
    		{
            $arrHead[conHEAD_ACTUAL] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "KEGEL")
    		{
            $arrHead[conHEAD_KEGEL] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "POINTSFORWIN")
    		{
            $arrHead[conHEAD_PONTS_FOR_WIN] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "POINTSFORDRAW")
    		{
            $arrHead[conHEAD_PONTS_FOR_DRAW] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "POINTSFORLOST")
    		{
            $arrHead[conHEAD_PONTS_FOR_LOST] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "SPEZ")
    		{
            $arrHead[conHEAD_SPEZ] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "HIDEDRAW")
    		{
            $arrHead[conHEAD_HIDE_DRAW] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "XTRAS")
    		{
            $arrHead[conHEAD_XTRAS] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "XTRAU")
    		{
            $arrHead[conHEAD_XTRAU] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "XTRAV")
    		{
            $arrHead[conHEAD_XTRAV] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "SPEZS")
    		{
            $arrHead[conHEAD_SPEZS] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "SPEZU")
    		{
            $arrHead[conHEAD_SPEZU] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "SPEZV")
    		{
            $arrHead[conHEAD_SPEZV] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "MINUSPOINTS")
    		{
            $arrHead[conHEAD_MINUS_POINTS] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "DIRECT")
    		{
            $arrHead[conHEAD_DIRECT] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "CHAMP")
    		{
            $arrHead[conHEAD_CHAMP] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "CL")
    		{
            $arrHead[conHEAD_CL] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "CK")
    		{
            $arrHead[conHEAD_CK] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "UC")
    		{
            $arrHead[conHEAD_UC] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "AR")
    		{
            $arrHead[conHEAD_AR] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "AB")
    		{
            $arrHead[conHEAD_AB] = (int)GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "NAMEPKT")
    		{
            $arrHead[conHEAD_NAME_PKT] = GetValue($arrFile[$i]);
         }
    		if (GetKey($arrFile[$i]) == "NAMETOR")
    		{
            $arrHead[conHEAD_NAME_TOR] = GetValue($arrFile[$i]);
         }
         if (GetKey($arrFile[$i]) == "FAVTEAM")
    		{
            $arrHead[conHEAD_FAV_TEAM] = (int)GetValue($arrFile[$i]);
         }
         if ($arrFile[$i] == "[Teams]")
         {
            $i++;
            for ($j = 0; $j < $arrHead[conHEAD_TEAMS]; $j++)
            {
               $arrTeam[$j][0] = GetValue($arrFile[$i++]);
            }
         }
         if ($arrFile[$i] == "[Teamk]")
         {
            $i++;
            for ($j = 0; $j < $arrHead[conHEAD_TEAMS]; $j++)
            {
               $arrTeam[$j][1] = GetValue($arrFile[$i++]);
               $arrTeam[$j][2] = MakeShortName($arrTeam[$j][0]);
            }
            break;
         }
      }

      // Einlesen der Sonstigen Mannschafts-Infos
      $start  = $i;
      $teamNr = -1;
      for ($i = 0; $i <= $arrHead[conHEAD_TEAMS]; $i++)
      {
         for ($j = 0; $j <= conSTAT_HEADER; $j++)
         {
            $arrStatistik[$i][$j] = 0;
         }
         $arrStatistik[$i][conSTAT_SERIE] = "";
      }
      for ($i = $start; $i < $sizeOfArrFile; $i++)
      {
         $arrFile[$i] = chop($arrFile[$i]);
         if (substr($arrFile[$i], 0, 5) == "[Team")
         {
            $i++;
            $teamNr++;
         }
         if (GetKey($arrFile[$i]) == "SP")
    		{
            $arrStatistik[$teamNr][conSTAT_PKT_STRAFE] = (int)GetValue($arrFile[$i]);
            $i++;
    		}
         if (GetKey($arrFile[$i]) == "SM")
    		{
            $arrStatistik[$teamNr][conSTAT_PKT_STRAFE] = (int)GetValue($arrFile[$i]);
            $i++;
    		}
         if (GetKey($arrFile[$i]) == "URL")
    		{
            $arrStatistik[$teamNr][conSTAT_MANN_URL] = chop(GetValue($arrFile[$i]));
            $i++;
    		}
         if (GetKey($arrFile[$i]) == "NOT")
    		{
            $arrStatistik[$teamNr][conSTAT_MANN_NOTIZ] = chop(GetValue($arrFile[$i]));
            $i++;
    		}
         if ($arrFile[$i] == "[Round1]")
    		{
            break;
    		}
      }
      // Tabellenerstellung und Statistikteil der Spieltage
      $start  = $i;
      $spTag  = 0;

        for ($i = 0; $i < $arrHead[conHEAD_TEAMS]; $i++)
        {
            for ($j = 0; $j <= conTAB_HEADER; $j++)
            {
                if ($j == 0)
                {
                    $arrTabelle[$i][$j] = $i;
                }
                else
                {
                    $arrTabelle[$i][$j] = 0;
                }
                if ($arrStatistik[$i][conSTAT_PKT_STRAFE] != 0)
                {
                    $arrTabelle[$i][conTAB_PKT_PLUS] = $arrStatistik[$i][conSTAT_PKT_STRAFE] * -1;
                }
                if ($arrStatistik[$i][conSTAT_PKT_STRAFE_MINUS] != 0)
                {
                    $arrTabelle[$i][conTAB_PKT_MINUS] = $arrStatistik[$i][conSTAT_PKT_STRAFE_MINUS];
                }
            }
        }
        // Tabellen-Platz-Array vorbelegen
        for ($i = 0; $i <= $arrHead[conHEAD_ROUNDS]; $i++)
        {
            $arrTabPlatz[] = "";
        }

        // Schleife ber alle Spieltage
        for ($i = $start; $i < $sizeOfArrFile; $i++)
        {
            $arrFile[$i] = chop($arrFile[$i]);
            if (substr($arrFile[$i], 0, 6) == "[Round")
            {
                if ($spTag > 0)
                {
                    for ($j = 0; $j < $arrHead[conHEAD_TEAMS]; $j++)
                    {
                        $arrVerlauf[] = $arrTabelle[$j];
                        //$arrVerlauf[$j] = array_merge($arrVerlauf[$j], $arrTabelle[$j]);
                    }
                    $arrTemp = $arrTabelle;
                    usort($arrTemp, "sortMann");
                    for ($j = 0; $j < $arrHead[conHEAD_TEAMS]; $j++)
                    {
                        if ($j < $arrHead[conHEAD_TEAMS] - 1)
                        {
                            $arrTabPlatz[$spTag] .= $arrTemp[$j][conTAB_ID] . ";";
                        }
                        else
                        {
                            $arrTabPlatz[$spTag] .= $arrTemp[$j][conTAB_ID];
                        }
                    }
                }
// ---------
//    if ($spTag > 1)
//    {
//        require_once("../tools/print_v.php");
//        print_v($arrTabelle, "\$arrtabelle");
//        return;
//    }
// ---------

               $heimID       = 0;
               $gastID       = 0;
               $heimTor      = 0;
               $gastTor      = 0;
               $sportGericht = 0;
               $i++;
               $spTag++;
            }
         if (GetKey2($arrFile[$i]) == "TA")
    		{
            $heimID = (int)GetValue($arrFile[$i]);
    		}
         if (GetKey2($arrFile[$i]) == "TB")
    		{
            $gastID = (int)GetValue($arrFile[$i]);
    		}
         if (GetKey2($arrFile[$i]) == "GA")
    		{
            $heimTor = (int)GetValue($arrFile[$i]);
    		}
         if (GetKey2($arrFile[$i]) == "GB")
    		{
            $gastTor = (int)GetValue($arrFile[$i]);
    		}
         if (GetKey2($arrFile[$i]) == "ET")
    		{
            $sportGericht = (int)GetValue($arrFile[$i]);
    		}
         if (GetKey2($arrFile[$i]) == "SP")
    		{
            $spielEnde = (int)GetValue($arrFile[$i]);
    		}
         if (GetKey2($arrFile[$i]) == "AT")
         {
            // Id's sind 0, wenn Mannschaft zurckgezogen wurde
            if ($heimID != 0 && $gastID != 0)
            {
               // Keine Sportgerichtsentscheidung
               $heimID -= 1;
               $gastID -= 1;
                    
               // Ergebnis vorhanden ?
               if ($heimTor != -1 && $gastTor != -1)
               {
                  // Sobald ein Spiel gespielt wird
                  $gespielt = 1;
                  $arrTabelle[$heimID][conTAB_SPIEL_ANZ]  += 1;
                  $arrTabelle[$gastID][conTAB_SPIEL_ANZ]  += 1;

                  // Spielwertung 0:0 Heim-Mannschaft Sieg
                  if ($heimTor == -2)
                  {
                     $arrStatistik[$heimID][conSTAT_SERIE]   .= "2";
                     $arrStatistik[$gastID][conSTAT_SERIE]   .= "1";
                     $arrTabelle[$heimID][conTAB_SPIEL_SIEG] += 1;
                     $arrTabelle[$gastID][conTAB_SPIEL_VERL] += 1;
                     $arrTabelle[$heimID][conTAB_PKT_PLUS]   += $arrHead[conHEAD_PONTS_FOR_WIN];
                     $arrTabelle[$gastID][conTAB_PKT_MINUS]  += $arrHead[conHEAD_PONTS_FOR_LOST];
                  }
                  // Spielwertung 0:0 Gast-Mannschaft Sieg
                  else if ($gastTor == -2)
                  {
                     $arrStatistik[$heimID][conSTAT_SERIE]   .= "1";
                     $arrStatistik[$gastID][conSTAT_SERIE]   .= "2";
                     $arrTabelle[$heimID][conTAB_SPIEL_VERL] += 1;
                     $arrTabelle[$gastID][conTAB_SPIEL_SIEG] += 1;
                     $arrTabelle[$heimID][conTAB_PKT_MINUS]  += $arrHead[conHEAD_PONTS_FOR_LOST];
                     $arrTabelle[$gastID][conTAB_PKT_PLUS]   += $arrHead[conHEAD_PONTS_FOR_WIN];
                  }
                  else if ($sportGericht == 0)
                  {
                     if ($heimTor > $gastTor)
                     {
                        $arrStatistik[$heimID][conSTAT_SERIE]   .= "2";
                        $arrStatistik[$gastID][conSTAT_SERIE]   .= "1";
                        $arrTabelle[$heimID][conTAB_SPIEL_SIEG] += 1;
                        $arrTabelle[$gastID][conTAB_SPIEL_VERL] += 1;
                        $arrTabelle[$heimID][conTAB_PKT_PLUS]   += $arrHead[conHEAD_PONTS_FOR_WIN];
                        $arrTabelle[$gastID][conTAB_PKT_MINUS]  += $arrHead[conHEAD_PONTS_FOR_LOST];
                        $arrTabelle[$heimID][conTAB_TOR_PLUS]   += $heimTor;
                        $arrTabelle[$heimID][conTAB_TOR_MINUS]  += $gastTor;
                        $arrTabelle[$gastID][conTAB_TOR_PLUS]   += $gastTor;
                        $arrTabelle[$gastID][conTAB_TOR_MINUS]  += $heimTor;
                     }
                     else if ($heimTor < $gastTor)
                     {
                        $arrStatistik[$heimID][conSTAT_SERIE]   .= "1";
                        $arrStatistik[$gastID][conSTAT_SERIE]   .= "2";
                        $arrTabelle[$heimID][conTAB_SPIEL_VERL] += 1;
                        $arrTabelle[$gastID][conTAB_SPIEL_SIEG] += 1;
                        $arrTabelle[$heimID][conTAB_PKT_MINUS]  += $arrHead[conHEAD_PONTS_FOR_LOST];
                        $arrTabelle[$gastID][conTAB_PKT_PLUS]   += $arrHead[conHEAD_PONTS_FOR_WIN];
                        $arrTabelle[$heimID][conTAB_TOR_PLUS]   += $heimTor;
                        $arrTabelle[$heimID][conTAB_TOR_MINUS]  += $gastTor;
                        $arrTabelle[$gastID][conTAB_TOR_PLUS]   += $gastTor;
                        $arrTabelle[$gastID][conTAB_TOR_MINUS]  += $heimTor;
                     }
                     else if (!($heimTor == -1 && $gastTor == -1))
                     {
                        $arrStatistik[$heimID][conSTAT_SERIE]    .= "0";
                        $arrStatistik[$gastID][conSTAT_SERIE]    .= "0";
                        $arrTabelle[$heimID][conTAB_SPIEL_UNENT] += 1;
                        $arrTabelle[$gastID][conTAB_SPIEL_UNENT] += 1;
                        $arrTabelle[$heimID][conTAB_PKT_PLUS]    += $arrHead[conHEAD_PONTS_FOR_DRAW];
                        $arrTabelle[$gastID][conTAB_PKT_PLUS]    += $arrHead[conHEAD_PONTS_FOR_DRAW];
                        if ($arrHead[conHEAD_MINUS_POINTS] == 2)
                        {
                           $arrTabelle[$heimID][conTAB_PKT_MINUS] += $arrHead[conHEAD_PONTS_FOR_DRAW];
                           $arrTabelle[$gastID][conTAB_PKT_MINUS] += $arrHead[conHEAD_PONTS_FOR_DRAW];
                        }
                           $arrTabelle[$heimID][conTAB_TOR_PLUS]    += $heimTor;
                           $arrTabelle[$heimID][conTAB_TOR_MINUS]   += $gastTor;
                           $arrTabelle[$gastID][conTAB_TOR_PLUS]    += $heimTor;
                           $arrTabelle[$gastID][conTAB_TOR_MINUS]   += $gastTor;
                        }
                     }
                     else
                     {
                        if ($heimTor > $gastTor)
                        {
                           $arrStatistik[$heimID][conSTAT_SERIE]   .= "2";
                           $arrStatistik[$gastID][conSTAT_SERIE]   .= "2";
                           $arrTabelle[$heimID][conTAB_SPIEL_SIEG] += 1;
                           $arrTabelle[$gastID][conTAB_SPIEL_SIEG] += 1;
                           // Wird bei Sportgerichtswertung Gewonnene Spiele hochgezhlt ?
                           //$arrTabelle[$heimID][conTAB_PKT_PLUS]   += $arrHead[conHEAD_PONTS_FOR_WIN];
                           //$arrTabelle[$gastID][conTAB_PKT_PLUS]   += $arrHead[conHEAD_PONTS_FOR_LOST];
                           $arrTabelle[$heimID][conTAB_TOR_PLUS]   += $heimTor;
                           $arrTabelle[$heimID][conTAB_TOR_MINUS]  += $gastTor;
                           $arrTabelle[$gastID][conTAB_TOR_PLUS]   += $heimTor;
                           $arrTabelle[$gastID][conTAB_TOR_MINUS]  += $gastTor;
                        }
                        else if ($heimTor < $gastTor)
                        {
                           $arrStatistik[$heimID][conSTAT_SERIE]   .= "1";
                           $arrStatistik[$gastID][conSTAT_SERIE]   .= "1";
                           // Wird bei Sportgerichtswertung Verlorene Spiele hochgezhlt ?
                           //$arrTabelle[$heimID][conTAB_SPIEL_VERL] += 1;
                           //$arrTabelle[$gastID][conTAB_SPIEL_VERL] += 1;
                           $arrTabelle[$heimID][conTAB_PKT_MINUS]  += $arrHead[conHEAD_PONTS_FOR_LOST];
                           $arrTabelle[$gastID][conTAB_PKT_MINUS]  += $arrHead[conHEAD_PONTS_FOR_WIN];
                           $arrTabelle[$heimID][conTAB_TOR_PLUS]   += $heimTor;
                           $arrTabelle[$heimID][conTAB_TOR_MINUS]  += $gastTor;
                           $arrTabelle[$gastID][conTAB_TOR_PLUS]   += $heimTor;
                           $arrTabelle[$gastID][conTAB_TOR_MINUS]  += $gastTor;
                        }
                        else if (!($heimTor == -1 && $gastTor == -1))
                        {
                           $arrStatistik[$heimID][conSTAT_SERIE]    .= "0";
                           $arrStatistik[$gastID][conSTAT_SERIE]    .= "0";
                           // Wird bei Sportgerichtswertung Unentschieden Spiele hochgezhlt ?
                           //$arrTabelle[$heimID][conTAB_SPIEL_UNENT] += 1;
                           //$arrTabelle[$gastID][conTAB_SPIEL_UNENT] += 1;
                           $arrTabelle[$heimID][conTAB_PKT_PLUS]    += $arrHead[conHEAD_PONTS_FOR_DRAW];
                           $arrTabelle[$gastID][conTAB_PKT_PLUS]    += $arrHead[conHEAD_PONTS_FOR_DRAW];
                           if ($arrHead[conHEAD_MINUS_POINTS] == 2)
                           {
                              $arrTabelle[$heimID][conTAB_PKT_MINUS]  += $arrHead[conHEAD_PONTS_FOR_DRAW];
                              $arrTabelle[$gastID][conTAB_PKT_MINUS]  += $arrHead[conHEAD_PONTS_FOR_DRAW];
                           }
                           $arrTabelle[$heimID][conTAB_TOR_PLUS]    += $heimTor;
                           $arrTabelle[$heimID][conTAB_TOR_MINUS]   += $gastTor;
                           $arrTabelle[$gastID][conTAB_TOR_MINUS]   += $heimTor;
                           $arrTabelle[$gastID][conTAB_TOR_PLUS]    += $gastTor;
                        }
                     } // Ende if ... (Keine Sportgerichtsentscheidung)
               } // Ende if ... (Ergebnis vorhanden ?)
            } // Ende if ... (Id's sind 0, wenn Mannschaft zurckgezogen wurde)
         }
      } // Ende for ... (Schleife ber alle Spieltage)

        $arrVerlauf = $arrTabelle;
        $arrTemp = $arrTabelle;
        usort($arrTemp, "sortMann");
        for ($j = 0; $j < $arrHead[conHEAD_TEAMS]; $j++)
        {
            if ($j < $arrHead[conHEAD_TEAMS] - 1)
            {
                $arrTabPlatz[$spTag] .= $arrTemp[$j][conTAB_ID] . ";";
            }
            else
            {
                $arrTabPlatz[$spTag] .= $arrTemp[$j][conTAB_ID];
            }
            $arrVerlauf[$j]  = $arrTabelle[$j][1] . ";" . $arrTabelle[$j][2] . ";";
            $arrVerlauf[$j] .= $arrTabelle[$j][3] . ";" . $arrTabelle[$j][4] . ";";
            $arrVerlauf[$j] .= $arrTabelle[$j][5] . ";" . $arrTabelle[$j][6] . ";";
            $arrVerlauf[$j] .= $arrTabelle[$j][7] . ";" . $arrTabelle[$j][8];
        }
    }

    function GetKey($item)
    {
        $arr = explode("=", $item);
        return strtoupper(chop($arr[0]));
    }

    function GetKey2($item)
    {
        $arr = explode("=", $item);
        return strtoupper(chop(substr($arr[0], 0, 2)));
    }

    function GetValue($item)
    {
        $arr = explode("=", $item);
        return chop($arr[1]);
    }


    function sortMann($a, $b)
    {
        // Punktgleichheit -> Tor-Differenz
        if ($a[conTAB_PKT_PLUS] == $b[conTAB_PKT_PLUS])
        {
            $diffA = $a[conTAB_TOR_PLUS] - $a[conTAB_TOR_MINUS];
            $diffB = $b[conTAB_TOR_PLUS] - $b[conTAB_TOR_MINUS];
            // Tor-Differenz gleich -> erzielte Tore
            if ($diffA == $diffB)
            {
                return($a[conTAB_TOR_PLUS] > $b[conTAB_TOR_PLUS]) ? -1 : 1;
            }
            else
            {
                return($diffA > $diffB) ? -1 : 1;
            }
        }
        else
        {
            return($a[conTAB_PKT_PLUS] > $b[conTAB_PKT_PLUS]) ? -1 : 1;
        }
    }
    // Generiert Kurznamen
    function MakeShortName($name)
    {
        // -------------------------------------------------------------
        // Hier knnen noch weitere Ausschlukriterien angegeben werden.
        // Eingabe in GROSSBUCHSTABEN !!!
        $arrAusschluss = array("TSV", "VFL", "1.FC", "1. FC", "HSG", "SSV", "VFB", "EINTRACHT");
        // -------------------------------------------------------------

        // String in Array
        $arrErgeb = explode(" ", $name);
        $dummy = "";

        // Array durchlaufen
        for($i = 0; $i < sizeof($arrErgeb); $i++)
        {
            $arrErgeb[$i] = chop($arrErgeb[$i]);
            if ($arrErgeb[$i] == "I" || $arrErgeb[$i] == "II" || $arrErgeb[$i] == "III" ||
                $arrErgeb[$i] == "1" || $arrErgeb[$i] == "2"  || $arrErgeb[$i] == "3")
            {
                $dummy = " " . $arrErgeb[$i];
            }
            // Ausschlu-Array
            if (in_array(strtoupper($arrErgeb[$i]), $arrAusschluss))
            {
                array_splice($arrErgeb, $i, 1);
            }

            // Lnge
            if (strlen($arrErgeb[$i]) <= 2)
            {
                array_splice($arrErgeb, $i, 1);
            }
        } // Ende for ... (Array durchlaufen)

        // Sortieren
        usort($arrErgeb, "vglFunc");
        // 1. Array-Element zurck
        return $arrErgeb[0] . $dummy;
    }

    function vglFunc($a, $b)
    {
        // Numerische Werte nach oben, wenn nicht gewnscht -> auskommentieren und
        // else wech
        if (is_numeric($b))
            { return($b < $a); }
        // Lngere String zuerst, dann unteres auskommentieren
        else
            { return(strlen($a) < strlen($b)); }
        // krzere String zuerst, dann obiges auskommentieren
        //else
        //    { return(strlen($a) > strlen($b)); }
    }

    function writeTabFile($tabFile, $arrVerlauf, $arrTabPlatz, $arrHead, $arrTeam, $gespielt)
    {
        $fp = fopen($tabFile, "w");
        // PHP-Header schreiben
        fwrite($fp, "<?PHP\n");
        // Variable, ob gespielt wurde
        fwrite($fp, "\t// Variable, ob gespielt wurde\n");
        fwrite($fp, "\t\$gespielt = " . $gespielt . ";\n\n");
        // Array des aktuellen Spieltages
        fwrite($fp, "\t// Array des aktuellen Spieltages\n");
        fwrite($fp, "\t// Aufbau:\n");
        fwrite($fp, "\t// Array-Index = Mannschafts-Index\n");
        fwrite($fp, "\t// Punkte +; Punkte -; Tore +; Tore -; gew., unent., verl.; Anz. Spiele\n");
        for ($i = 0; $i < sizeof($arrVerlauf); $i++)
        {
            fwrite($fp, "\t\$arrVerlauf[" . $i . "] = \"" . $arrVerlauf[$i] . "\";\n");
        }
        fwrite($fp, "\n");
        // Array der Tabellenstnde pro Spieltag
        fwrite($fp, "\t// Array der Tabellenstnde pro Spieltag\n");
        fwrite($fp, "\t// Aufbau:\n");
        fwrite($fp, "\t// Array-Index = Spieltag-Index\n");
        fwrite($fp, "\t// Indizes der Mannschaften als Tabellenplatzreihenfolge\n");
        for ($i = 0; $i < sizeof($arrTabPlatz); $i++)
        {
            fwrite($fp, "\t\$arrTabPlatz[" . $i . "] = \"" . $arrTabPlatz[$i] . "\";\n");
        }
        fwrite($fp, "\n");
        // Liga-Header
        fwrite($fp, "\t// Liga-Header\n");
        for ($i = 0; $i < sizeof($arrHead); $i++)
        {
            if (is_string($arrHead[$i]))
            {
                $hk = '"';
            }
            fwrite($fp, "\t\$arrHead[" . $i . "] = $hk" . $arrHead[$i] . "$hk;\n");
        }
        fwrite($fp, "\n");
        // Teams mit Kurznamen aus Ligadatei und generierten Kurznamen
        fwrite($fp, "\t// Teams mit Kurznamen aus Ligadatei und generierten Kurznamen\n");
        for ($i = 0; $i < sizeof($arrTeam); $i++)
        {
            for($j = 0; $j < sizeof($arrTeam[$i]); $j++)
            {
                fwrite($fp, "\t\$arrTeam[" . $i . "][" . $j . "] = \"" . $arrTeam[$i][$j] . "\";\n");
            }
        }

        fwrite($fp, "?");
        fwrite($fp, ">");
        fclose($fp);
    }

   function writeDateFile($tabFile, $DatumDerTabelle, $UhrDerTabelle)
   {
      $DatumDerTabelle = date("d.m.Y");
      $UhrDerTabelle   = date("H:i");
      $fp = fopen($tabFile, "w");
      fwrite($fp, "<?PHP\n");
      fwrite($fp, "\$DatumDerTabelle = \"" . date("d.m.Y") . "\";\n");
      fwrite($fp, "\$UhrDerTabelle = \"" . date("H:i") . "\";\n");
      fwrite($fp, "?");
      fwrite($fp, ">");
      fclose($fp);
   }
?>