<?PHP
    // Allgemeiner Einstellbereich
    // ---------------------------
    // Einstellungen fr die Anzeige
    // -----------------------------
    // Einstellungsbereich: 0=nein, 1=ja

    // Alle Einstellungen mit 0=nein, 1=ja, keine anderen Zahlen !!!
    // --------------------------------------------------------------------
    $arrPara["anzLink"]           = 1;           // Anzeige Verlinkung des Spieltags mit der Tabelle
    $arrPara["anzFavorit"]        = 1;           // Favorit-Anzeige
    $arrPara["anzRahmen"]         = 1;           // Anzeige Zellen-Rahmen
    $arrPara["anzLiga"]           = 1;           // Anzeige des Liganamens
    $arrPara["anzSpiele"]         = 1;           // Anzeige "Spiele"
    $arrPara["anzSiege"]          = 1;           // Anzeige "Siege"
    $arrPara["anzUnent"]          = 1;           // Anzeige "Unentschieden" -> Einstellung in der Liga hat Vorrang
    $arrPara["anzNiederl"]        = 1;           // Anzeige "Niederlage"
    $arrPara["anzTore"]           = 1;           // Anzeige "Tore"
    $arrPara["anzDiff"]           = 1;           // Anzeige "Tor-Differenz"
    // --------------------------------------------------------------------
    // Ende (Alle Einstellungen mit 0=nein, 1=ja, keine anderen Zahlen !!!)

    $arrPara["anzTeamName"]       = 0;           // Anzeige des Team-Namens:
                                                 //     0 = Normal
                                                 //     1 = Kurzname aus Liga-Datei
                                                 //     2 = Generierter Kurzname
    $arrPara["anzVeraender"]      = 2;           // Anzeige Vernderung zum letzten Spieltag
                                                 //     0 = keine,
                                                 //     1 = Pfeile
                                                 //     2 = Vernderung in Zahlen
    // Einstellungen fr CSS-File
    // --------------------------
    $arrPara["anzRahmen"]         = 1;           // Tabellen-Rahmen
    $arrPara["alignTable"]        = "center";    // Ausrichtung der Tabelle: center, left, right
    $arrPara["alignTitel"]        = "center";    // Ausrichtung des Titels: center, left, right
    $arrPara["alignLiga"]         = "left";       // Ausrichtung des Liganamens
    $arrPara["alignZeile2Name"]   = "left";      // Ausrichtung des Zeile2namens: center, left, right

    $arrPara["fontSize"]          = 11;          // Schriftgre der Anzeige
	$arrPara["fontFamily"]        = "Verdana";   // Schriftart der Anzeige
    $arrPara["fontSizeLink"]      = 9;            // Schriftgre der Anzeige
	$arrPara["fontFamilyLink"]    = "Verdana";    // Schriftart der Link-Anzeige

	$arrPara["cellTitelColor"]    = "#880000";   // Schriftfarbe des Titels
    $arrPara["cellTitelBkColor"]  = "#ddffdd";   // Hintergrundfarbe des Titels
    $arrPara["cellColor"]         = "#000000";   // Schriftfarbe der Zellen
    $arrPara["cellBkColor"]       = "#E1E1E1";   // Hintergrundfarbe der Zellen
    $arrPara["cellLigaColor"]     = "#00356A";   // Schriftfarbe Liganame
    $arrPara["cellLigaBkColor"]   = "#B9FFFF";   // Hintergrundfarbe Liganame
    $arrPara["cellZeile2Color"]   = "#00356A";   // Schriftfarbe Zeile2anzeige
    $arrPara["cellZeile2BkColor"] = "#FFFF9D";   // Hintergrundfarbe Zeile2anzeige
    $arrPara["cellFavColor"]      = "#FF0080";   // Schriftfarbe Favorit
    $arrPara["cellFavBkColor"]    = $arrPara["cellBkColor"];
                                                 // Hintergrundfarbe Favorit
	$arrPara["cellLinkColor"]     = "#0000FF";   // Schriftfarbe Links
	$arrPara["cellLinkBkColor"]   = $arrPara["cellBkColor"];
                                                 // Hintergrundfarbe Links
	$arrPara["cellCopyColor"]     = "#408080";   // Schriftfarbe Copyright
	$arrPara["cellCopyBkColor"]   = $arrPara["cellBkColor"];
                                                 // Hintergrundfarbe Copyright

    $arrPara["colorChamp"]        = "#FFD7AE";   // Farbe fr Erst-Plazierten

    $arrPara["colorPlus"]         = "#569E21";   // Farbe fr positive Vernderung zum letzten Spieltag
    $arrPara["colorNegativ"]      = "#FF0000";   // Farbe fr negative Vernderung zum letzten Spieltag
    $arrPara["colorNeutral"]      = "#0080C0";   // Farbe fr keine Vernderung zum letzten Spieltag

    $arrPara["colorChampL"]       = "#FF93C9";   // Farbe fr Champions-League
    $arrPara["colorChampQ"]       = "#B3FFB3";   // Farbe fr Chmpions-League_Qualifikant
    $arrPara["colorAufst"]        = "#FFFFBB";   // Farbe fr Aufsteiger bzw. UEFA-Cup
    $arrPara["colorRelegat"]      = "#80BFFF";   // Farbe fr Relegation
    $arrPara["colorAbstieg"]      = "#BBFFFF";   // Farbe der Absteiger

    // Ende Einstellungsbereich
    // -------------------------------------------------------------------------------------------------
	$arrPara["fontSizeTitle"]     = ($arrPara["fontSize"] + 1);

    $arrPara["tabBreite"]         = 5 + ($arrPara["anzVeraender"] > 0 ? 2 : 0) +
                                         $arrPara["anzSpiele"]  +
                                         $arrPara["anzSiege"]   +
                                         $arrPara["anzUnent"]   +
                                         $arrPara["anzNiederl"] +
                                        ($arrPara["anzTore"] > 0 ? 3 : 0) +
                                         $arrPara["anzDiff"];
	$arrPara["anzRahmenStyle"]    = ($arrPara["anzRahmen"] == 1 ? "solid" : "none");
	$arrPara["anzTeamName"]       = ($arrPara["anzTeamName"] > 2 ? 0 : $arrPara["anzTeamName"]);

?>